Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 227446

Summary: ImageMagick lists Windows fonts as available
Product: [Fedora] Fedora Reporter: Jared Brown <jaredbrown>
Component: ImageMagickAssignee: Norm Murray <nmurray>
Status: CLOSED DUPLICATE QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 6CC: hdegoede, triage
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: bzcl34nup
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-04-26 06:23:46 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Jared Brown 2007-02-05 22:36:27 UTC
Description of problem:

ImageMagick includes type-windows.xml by default. MS Core Fonts are not
installed by default. This causes errors when compiling extensions that rely on
ImageMagick for font management.


Version-Release number of selected component (if applicable): 6.2.8.0-3.fc6.1@i386


How reproducible:


Steps to Reproduce:
1. Install ImageMagick-devel (Install dependencies)
2. Install Ruby and RubyGems
3. Run "sudo gem install rmagick"
  
Actual results:

rmagick fails to install because it errors out when Arial and Verdana can not be
found

Expected results:

rmagick should install succesfully

Additional info:

This is a bug because ImageMagick is managing fonts that do not exist.

Comment 1 Ian Neubert 2007-07-31 20:16:12 UTC
This is also a problem in RHEL5: Pretty easy to see the problem...

Start with a fresh minimal install of RHEL5:

# yum install ImageMagick
# convert label:abcdef test.gif
convert: unable to read font `/usr/share/fonts/default/TrueType/arial.ttf'.

Comment 2 Ian Neubert 2007-09-11 18:58:29 UTC
Its also easy to fix, just remove the reference to windows fonts in the
ImageMagick XML config /usr/lib/ImageMagick-6.2.8/config/type.xml

Comment 3 Bug Zapper 2008-04-04 06:06:52 UTC
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers

Comment 4 Hans de Goede 2008-04-26 06:23:46 UTC
Quick intro: I'm now a comaintainer of ImageMagick, and thus going through all
the open bugs.

This bug is a duplicate of bug 193474, marking as such.

Note this bug is fixed since atleast F-8.


*** This bug has been marked as a duplicate of 193474 ***